## ICalDatetimeperiod

ICalDatetimeperiod

## Functions

ICalDatetimeperiod * | i_cal_datetimeperiod_new ()
ICalTime * | i_cal_datetimeperiod_get_time ()
void | i_cal_datetimeperiod_set_time ()
ICalPeriod * | i_cal_datetimeperiod_get_period ()
void | i_cal_datetimeperiod_set_period ()

## Types and Values

| ICalDatetimeperiod
struct | ICalDatetimeperiodClass

## Object Hierarchy

        GObject
        ╰── ICalObject
            ╰── ICalDatetimeperiod

## Description

## Functions

### i_cal_datetimeperiod_new ()

    ICalDatetimeperiod *
    i_cal_datetimeperiod_new (void);

Creates a new ICalDatetimeperiod.

#### Returns

The newly created ICalDatetimeperiod.

[transfer full]

Since: 1.0

### i_cal_datetimeperiod_get_time ()

    ICalTime *
    i_cal_datetimeperiod_get_time (ICalDatetimeperiod *dtp);

Gets the time attribute of ICalDatetimeperiod.

#### Parameters

dtp | The ICalDatetimeperiod to be queried |

#### Returns

The time attribute of `dtp` .

[transfer full]

Since: 1.0

### i_cal_datetimeperiod_set_time ()

    void
    i_cal_datetimeperiod_set_time (ICalDatetimeperiod *dtp,
                                   ICalTime *time);

Sets the time attribute of ICalDatetimeperiod.

#### Parameters

dtp | The ICalDatetimeperiod to be set |
time | The time attribute of `dtp` |

Since: 1.0

### i_cal_datetimeperiod_get_period ()

    ICalPeriod *
    i_cal_datetimeperiod_get_period (ICalDatetimeperiod *dtp);

Gets the period attribute of ICalDatetimeperiod.

#### Parameters

dtp | The ICalDatetimeperiod to be queried |

#### Returns

The period attribute of `dtp` .

[transfer full]

Since: 1.0

### i_cal_datetimeperiod_set_period ()

    void
    i_cal_datetimeperiod_set_period (ICalDatetimeperiod *dtp,
                                     ICalPeriod *period);

Sets the period attribute of ICalDatetimeperiod.

#### Parameters

dtp | The ICalDatetimeperiod to be set |
period | The period attribute of `dtp` |

Since: 1.0

## Types and Values

### ICalDatetimeperiod

    typedef struct _ICalDatetimeperiod ICalDatetimeperiod;

This is the ICalDatetimeperiod instance.

### struct ICalDatetimeperiodClass

    struct ICalDatetimeperiodClass {
    };

This is the ICalDatetimeperiod class.